<!DOCTYPE html>
<!--update language-->
<html xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="UTF-8">
    <title>Grocery Management System</title>
    <!--    bootstrap-->
    <link rel="stylesheet"
          href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css"
          integrity="sha384-MCw98/SFnGE8fJT3GXwEOngsV7Zt27NXFoaoApmYm81iuXoPkFOJwJ8ERdknLPMO"
          crossorigin="anonymous">
</head>
<body>
<div class="container my-2">
    <h1>Grocery List</h1>
    <a th:href="@{/showNewGroceryForm}" class="btn btn-primary btn-sm mb-3">Add Grocery Here</a>
    <table border="1" class="table table-striped-md">
        <thead>
        <tr>
            <th>
            <a th:href="@{'/page/' + ${currentPage} + '?sortField=Id&sortDir=' + ${reverseSortDir}}">Grocery Id</a>
            </th>
            <th>
                <a th:href="@{'/page/' + ${currentPage} + '?sortField=price&sortDir=' + ${reverseSortDir}}">Grocery Price</a>
            </th>
            <th>
                <a th:href="@{'/page/' + ${currentPage} + '?sortField=description&sortDir=' + ${reverseSortDir}}">Grocery Description</a>
            </th>
            <th>
                <a th:href="@{'/page/' + ${currentPage} + '?sortField=brand&sortDir=' + ${reverseSortDir}}">Grocery Brand</a>
            </th>
            <th>
                <a th:href="@{'/page/' + ${currentPage} + '?sortField=quantity&sortDir=' + ${reverseSortDir}}">Grocery Quantity</a>
            </th>
            <th>Actions</th>
        </tr>
        </thead>

        <tbody>
        <tr th:each="grocery: ${listGrocery}">
            <td th:text="${grocery.price}"></td>
            <td th:text="${grocery.description}"></td>
            <td th:text="${grocery.brand}"></td>
            <td th:text="${grocery.quantity}"></td>
            <td>
                <a th:href="@{/showFormForUpdate/{id}(id=${grocery.id})}" class="btn btn-primary">Update</a>
                <a th:href="@{/deleteGrocery/{id}(id=${grocery.id})}" class="btn btn-danger">Delete</a>
            </td>
        </tr>
        </tbody>
    </table>
</div>
<div th:if="${totalPages}">
    <div class="row col-sm-10">
        <div class="col-sm-2">
            Total Rows: [[${totalItems}]]
        </div>
        <div class="col-sm-1">
    <span th:each="i:${#numbers.sequence(1,totalPages)}">
        <a th:if="${currentPage != i}" th:href="@{'/page/' + ${i} + '?sortField=' + ${sortField} + '&sortDir=' + ${sortDir}}">[[${i}]]</a>
        <span th:unless="${currentPage != i}">[[${i}]]</span>&nbsp;
        &nbsp;
    </span>
        </div>
        <div class="col-sm-2">
            <a th:if="${currentPage < totalPages}" th:href="@{'/page/' + ${currentPage + 1} +'?sortField=' + ${sortField} +'&sortDir=' + ${sortDir}}">Next</a>
            <span th:unless="${currentPage < totalPages}">Next</span>
        </div>
        <div class="col-sm-1">
            <a th:if="${currentPage < totalPages}" th:href="@{'/page/' + ${totalPages} + 'sortField=' + ${sortField} + '&sortDir='+ ${sortDir}}">Last</a>
            <span th:unless="${currentPage < totalPages}">Last</span>
        </div>
    </div>
</div>
</body>
</html>














